# Retrieve all credit consumption periods

> Congestion API, GET /consumption/periods: Retrieve all credit consumption periods.

`GET /consumption/periods` on the Congestion API. Base URL: `https://api.sinay.ai/congestion/api/v1`.

## Responses

::api-response
---
status: "200"
description: The consumption periods
---

Body: `application/json`, array of object.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `[].id` | string (uuid) | Yes | Unique identifier of the consumption period. |
| `[].credits` | integer | Yes | Remaining credits. |
| `[].creditsInitial` | integer | Yes | Credits allocated at the start of the period. |
| `[].periodStart` | string (date-time) | Yes | Start of the period. |
| `[].periodEnd` | string (date-time) | Yes | End of the period. |
| `[].expired` | boolean | Yes | Whether this period has expired. |

::

::api-response
---
status: "401"
description: The authentication failed
---

Body: `application/json`, object.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `errorCode` | integer (int32) | Yes | — |
| `message` | string | Yes | — |
| `details` | array of string | Yes | — |
| `time` | string (date-time) | Yes | — |

::

::api-response
---
status: "500"
description: An error occurend on server side
---

Body: `application/json`, object.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `errorCode` | integer (int32) | Yes | — |
| `message` | string | Yes | — |
| `details` | array of string | Yes | — |
| `time` | string (date-time) | Yes | — |

::

::api-response
---
status: default
description: default
---

Body: `application/json`, object.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `errorCode` | integer (int32) | Yes | — |
| `message` | string | Yes | — |
| `details` | array of string | Yes | — |
| `time` | string (date-time) | Yes | — |

::
